library animated_bottom_menu;

import 'package:flutter/material.dart';

/// A Calculator.
class Calculator {
  /// Returns [value] plus 1.
  int addOne(int value) => value + 1;
}

class AnimatedBottomMenu extends StatefulWidget {
  @override
  _AnimatedBottomMenuState createState() => _AnimatedBottomMenuState();
}

class _AnimatedBottomMenuState extends State<AnimatedBottomMenu>{

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          IconButton(icon: Icon(Icons.account_box), onPressed: (){
            print('account');
          }),
          IconButton(icon: Icon(Icons.home), onPressed: (){
            print('HOME');
          }),
          IconButton(icon: Icon(Icons.search), onPressed: (){
            print('SEARCH');
          }),
        ],
      ),
    );
  }
}

